Scilab Function

proj - projection

### Calling Sequence

  `P = proj(X1,X2)`

### Parameters

- `X1,X2` : deux matrices réelles avec un nombre identique de colonnes.
- `P` : matrice réelle de projection (`P^2=P` )

### Description

`P` est la projection sur `X2` parallèlement à `X1` .

### Examples

    X1=rand(5,2);X2=rand(5,3);
    P=proj(X1,X2);
    norm(P^2-P,1)
    trace(P)    // il s'agit de dim(X2)
    [Q,M]=fullrf(P);
    svd([Q,X2])   // Im(Q) = Im(X2)

### See Also

`projspec` , `orth` , `fullrf` ,

### Author

F. D.; ;